%define oversion 5.11.1

%define systemsettingsview_major 3
%define libsystemsettingsview %mklibname systemsettingsview %{systemsettingsview_major}
%define systemsettings_devel %mklibname %name -d


Summary:        Plasma System Settings
Name:           systemsettings
Version: 		5.12.4
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
Source1:		systemsettings.desktop
URL:            https://www.kde.org/

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl

BuildRequires:  kitemviews-devel
BuildRequires:  kcmutils-devel
BuildRequires:  ki18n-devel
BuildRequires:  kio-devel
BuildRequires:  kservice-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  khtml-devel
BuildRequires:  kdelibs4support-devel

Requires: kirigami
Requires: kdialog

%description
Plasma System Settings

%files -f %name.lang
%_kf5_bindir/systemsettings5
%_qt5_plugindir/*.so
%_kf5_datadir/applications/*.desktop
%_kf5_services/*.desktop
%_kf5_servicetypes/*.desktop
%_kf5_datadir/systemsettings
%_kf5_datadir/kxmlgui5/systemsettings
#--------------------------------------------------------------------
%_kf5_libdir/libsystemsettingsview.so.%{systemsettingsview_major}*
#--------------------------------------------------------------------
%_kf5_datadir/kpackage/genericqml/org.kde.systemsettings.sidebar/contents/ui/CategoriesPage.qml
%_kf5_datadir/kpackage/genericqml/org.kde.systemsettings.sidebar/contents/ui/IntroIcon.qml
%_kf5_datadir/kpackage/genericqml/org.kde.systemsettings.sidebar/contents/ui/SubCategoryPage.qml
%_kf5_datadir/kpackage/genericqml/org.kde.systemsettings.sidebar/contents/ui/introPage.qml
%_kf5_datadir/kpackage/genericqml/org.kde.systemsettings.sidebar/contents/ui/main.qml
%_kf5_datadir/kpackage/genericqml/org.kde.systemsettings.sidebar/metadata.desktop
%_kf5_datadir/kpackage/genericqml/org.kde.systemsettings.sidebar/contents/ui/ActionMenu.qml

%package -n %systemsettings_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %systemsettings_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %systemsettings_devel
%_includedir/systemsettingsview
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%package handbook
Summary: %{name} Handbook
Group: Documentation
BuildArch: noarch

%description handbook
This package provides %{name} Handbook.

%files handbook 
%doc %_docdir/HTML/*/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%version

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir" -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=OFF
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang  %name

#menu
install -m 0755 %SOURCE1 %buildroot/%{_kf5_applicationsdir}

%changelog
* Tue Mar 27 2018 bb2 <bb2> - 5.12.4-1pclos2018
- new version

* Tue Mar 06 2018 bb2 <bb2> - 5.12.3-1pclos2018
- new version

* Wed Feb 21 2018 bb2 <bb2> - 5.12.2-1pclos2018
- new version

* Wed Feb 14 2018 bb2 <bb2> - 5.12.1-1pclos2018
- new version

* Wed Feb 07 2018 bb2 <bb2> - 5.12.0-1pclos2018
- new version

* Tue Jan 02 2018 tex - 5.11.5-1pclos2018
- new version

* Sat Dec 09 2017 bb2 <bb2> - 5.11.4-2pclos2017
- rebuild against updates

* Wed Nov 29 2017 bb2 <bb2> - 5.11.4-1pclos2017
- new version

* Sat Nov 11 2017 bb2 <bb2> - 5.11.3-2pclos2017
- fix desktop file

* Tue Nov 07 2017 bb2 <bb2> - 5.11.3-1pclos2017
- new version

* Tue Oct 24 2017 bb2 <bb2> - 5.11.2-2pclos2017
- update from git to get latest fixes

* Tue Oct 24 2017 bb2 <bb2> - 5.11.2-1pclos2017
- new version

* Wed Oct 18 2017 bb2 <bb2> - 5.11.1-1pclos2017
- new version

* Tue Oct 10 2017 bb2 <bb2> - 5.11.0-1pclos2017
- new version

* Sun Sep 08 2017 bb2 <bb2> - 5.10.95-2pclos2017
- update from git

* Sun Sep 08 2017 bb2 <bb2> - 5.10.95-1pclos2017
- new version

* Thu Aug 24 2017 bb2 <bb2> - 5.10.5-1pclos2017
- new version

* Wed Jul 19 2017 bb2 <bb2> - 5.10.4-1pclos2017
- new version

